package de.frajul.endlessroll.main.game;

import de.frajul.endlessroll.entities.particles.ParticleSystem;
import de.frajul.endlessroll.entities.shapes.PlayerShape;
import de.frajul.endlessroll.entities.textures.TexturePack;
import de.frajul.endlessroll.levels.worlds.World;

public class StartScene extends Scene {

    public StartScene(TexturePack texturePack, ParticleSystem particleSystem) {
        super(texturePack, particleSystem);
        terrain.createEndless(World.ICY_MOUNTAINS, -.8f);
        player.init(PlayerShape.BALL, terrain.getEdge(), 0.5f, 0.5f, null);
        uncategorizedEntities.add(player);
    }

}